#### D.8.7.15 num_elim

Procedure from library `recover.lib` (see recover_lib).

Usage:
  num_elim(I,f,D); ideal I, poly f, int D
  f the product of the ring variables you want to eliminate D a bound to the degree of the elements of the components

Return:
  ideal: the ideal obtained from I by eliminating the variables specified in f

Remarks:
  This procedure uses Bertini to compute a set of witness points for I, projects them onto the components corresponding to the variables specified in f and then proceeds as num_radical_via_randlincom.

Note:
  Should only be called from a ring over the rational numbers.

Example:

    LIB "recover.lib";
    ring r=0,(x,y,z),dp;
    poly f1=x-y;
    poly f2=z*(x+3y);
    poly f3=z*(x2+y2);
    ideal I=f1,f2,f3;
    //First, we attempt to compute the elimination ideal with the hybrid algorithm.
    ideal E1=num_elim(I,z,3,200);
    //Now, we compute the elimination ideal symbolically.
    ideal E2=elim(I,z);
    //Lastly, we compare the results.
    E1;
    E2;

User manual for Singular version 4.4.1, 2025, generated by texi2html.